import React from 'react'
import ReactDOM from 'react-dom'
import { Provider } from 'react-redux'

import { App } from './App'
import { store } from './store/index.js'

function createRootElement() {
  const body = document.getElementsByTagName('body')[0]
  const root = document.createElement('div')
  root.setAttribute('id', 'root')
  body.appendChild(root)
  return root
}
ReactDOM.render(
  <Provider store={store}>
    <App />
  </Provider>,
  createRootElement()
)
